name: deploy-image
description: Deploy Image To K8s
author: SongHuWanKj

# Define your inputs here.
inputs:
  image:
    description: Deploy Image Url
    required: true
    default: ''
  config-path:
    description: Deployment Config Path
    required: false
    default: 'deploy/config.json'
  cluster-path:
    description: Deployment Cluster Path
    required: false
    default: 'deploy/cluster/'

runs:
  using: node20
  main: dist/index.js
